Indexers - Run
Kör en indexerare på begäran.
POST {endpoint}/indexers('{indexerName}')/search.run?api-version=2024-05-01-preview
URI-parametrar
| Name | I | Obligatorisk | Typ | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
Slutpunkts-URL:en för söktjänsten. |
|
indexer
|
path | True |
string |
Namnet på indexeraren som ska köras. |
|
api-version
|
query | True |
string |
Klient-API-version. |
Begärandehuvud
| Name | Obligatorisk | Typ | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
Spårnings-ID:t som skickas med begäran för att hjälpa till med felsökning. |
Svar
| Name | Typ | Description |
|---|---|---|
| 202 Accepted | ||
| Other Status Codes |
Felsvar. |
Exempel
SearchServiceRunIndexer
Exempelbegäran
POST https://myservice.search.windows.net/indexers('myindexer')/search.run?api-version=2024-05-01-preview
Exempelsvar
Definitioner
| Name | Description |
|---|---|
|
Error |
Ytterligare information om resurshanteringsfelet. |
|
Error |
Felinformationen. |
|
Error |
Felsvar |
ErrorAdditionalInfo
Ytterligare information om resurshanteringsfelet.
| Name | Typ | Description |
|---|---|---|
| info |
object |
Ytterligare information. |
| type |
string |
Ytterligare informationstyp. |
ErrorDetail
Felinformationen.
| Name | Typ | Description |
|---|---|---|
| additionalInfo |
Ytterligare information om felet. |
|
| code |
string |
Felkoden. |
| details |
Felinformationen. |
|
| message |
string |
Felmeddelandet. |
| target |
string |
Felmålet. |
ErrorResponse
Felsvar
| Name | Typ | Description |
|---|---|---|
| error |
Felobjektet. |